Diligent Engine API Reference: Diligent::ShaderResourceBindingD3D11Impl Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::ShaderResourceBindingD3D11Impl Class Reference

Implementation of the Diligent::IShaderResourceBindingD3D11 interface. More...

Inheritance diagram for Diligent::ShaderResourceBindingD3D11Impl:

## Public Member Functions
virtual void | BindResources (Uint32 ShaderFlags, IResourceMapping *pResMapping, Uint32 Flags) override final
| Binds all resource using the resource mapping. More...
virtual IShaderVariable * | GetVariable (SHADER_TYPE ShaderType, const char *Name) override final
| Returns variable. More...
Public Member Functions inherited from Diligent::ShaderResourceBindingBase< IShaderResourceBindingD3D11 >
| ShaderResourceBindingBase (IReferenceCounters *pRefCounters, IPipelineState *pPSO, bool IsInternal=false)
virtual IPipelineState * | GetPipelineState () override final
| Implementation of IShaderResourceBinding::GetPipelineState().
Public Member Functions inherited from Diligent::IShaderResourceBinding
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.

## Additional Inherited Members
Protected Attributes inherited from Diligent::ShaderResourceBindingBase< IShaderResourceBindingD3D11 >
RefCntAutoPtr< IPipelineState > | m_spPSO
| Strong reference to PSO. We must use strong reference, because shader resource binding uses PSO's memory allocator to allocate memory for shader resource cache.

## Detailed Description

Implementation of the Diligent::IShaderResourceBindingD3D11 interface.

## Member Function Documentation

## ◆ BindResources()

void Diligent::ShaderResourceBindingD3D11Impl::BindResources | ( | Uint32 | ShaderFlags,
|  | IResourceMapping * | pResMapping,
|  | Uint32 | Flags
| ) |  |
| finaloverridevirtual

Binds all resource using the resource mapping.

Parameters

  [in] | ShaderFlags | - Flags for the shader stages, for which resources will be bound. Any combination of Diligent::SHADER_TYPE may be specified.
  [in] | pResMapping | - Shader resource mapping, where required resources will be looked up
  [in] | Flags | - Additional flags. See Diligent::BIND_SHADER_RESOURCES_FLAGS.

Implements Diligent::IShaderResourceBinding.

## ◆ GetVariable()

IShaderVariable * Diligent::ShaderResourceBindingD3D11Impl::GetVariable | ( | SHADER_TYPE | ShaderType,
|  | const char * | Name
| ) |  |
| finaloverridevirtual

Returns variable.

Parameters

  [in] | ShaderType | - Type of the shader to look up the variable. Must be one of Diligent::SHADER_TYPE.
  | Name | - Variable name

Implements Diligent::IShaderResourceBinding.